Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`protocols`.`jabber`.`ijabber`.`IXMPPHandlerCollection``

interface documentation

`class IXMPPHandlerCollection(Interface): (source)`

Known implementations: `twisted.words.protocols.jabber.xmlstream.XMPPHandlerCollection`

View In Hierarchy

Collection of handlers.

Contain several handlers and manage their connection.

Method | `__iter__` | Get an iterator over all child handlers.
Method | `addHandler` | Add a child handler.
Method | `removeHandler` | Remove a child handler.

def __iter__(): (source)

Get an iterator over all child handlers.

def addHandler(handler): (source)

Add a child handler.

Parameters
handler:`IXMPPHandler` | Undocumented

def removeHandler(handler): (source)

Remove a child handler.

Parameters
handler:`IXMPPHandler` | Undocumented